summaryrefslogtreecommitdiffstats
path: root/win/tools/update_kdelibs_pro_files
diff options
context:
space:
mode:
authortoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
committertoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
commitce4a32fe52ef09d8f5ff1dd22c001110902b60a2 (patch)
tree5ac38a06f3dde268dc7927dc155896926aaf7012 /win/tools/update_kdelibs_pro_files
downloadtdelibs-ce4a32fe52ef09d8f5ff1dd22c001110902b60a2.tar.gz
tdelibs-ce4a32fe52ef09d8f5ff1dd22c001110902b60a2.zip
Copy the KDE 3.5 branch to branches/trinity for new KDE 3.5 features.
BUG:215923 git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/kdelibs@1054174 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'win/tools/update_kdelibs_pro_files')
-rwxr-xr-xwin/tools/update_kdelibs_pro_files30
1 files changed, 30 insertions, 0 deletions
diff --git a/win/tools/update_kdelibs_pro_files b/win/tools/update_kdelibs_pro_files
new file mode 100755
index 000000000..15f745cf8
--- /dev/null
+++ b/win/tools/update_kdelibs_pro_files
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# Copies all used .pro (and a few shell) files from kdelibs/win/pro_files/ to kdelibs/
+# so they can be used to build kdelibs.
+# Note: only newer files are copied over older.
+# (c) 2005, Jaroslaw Staniek, js@iidea.pl
+
+.check_kde_env || exit 1
+
+src=win/pro_files
+dest=../..
+
+cd "$KDELIBS/$src"
+
+for pro in `find . -name \*.pro -o -name \*.sh` ; do
+ dir=`dirname "$pro"`
+ if [ ! -d "$KDELIBS/$dir" ] ; then
+ echo "no \$KDELIBS/$dir directory: creating it"
+ mkdir -p "$KDELIBS/$dir"
+ fi
+
+ if [ ! "$pro" -nt "$dest/$pro" ] ; then
+ true
+# echo "*SKIPPED* $pro is not newer than destination in $KDELIBS"
+ else
+ echo "UPDATING \$KDELIBS/$pro"
+ cp $pro $dest/$pro
+ fi
+done
+